Package picard.vcf.MendelianViolations

## Class MendelianViolationsByFamily

- java.lang.Object
- - java.util.AbstractMap<K,​V>
  - - java.util.HashMap<K,​V>
    - - htsjdk.samtools.util.CollectionUtil.DefaultingMap<String,​Collection<htsjdk.variant.variantcontext.VariantContext>>
      - - picard.vcf.MendelianViolations.MendelianViolationsByFamily

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `Map<String,​Collection<htsjdk.variant.variantcontext.VariantContext>>`

      public class MendelianViolationsByFamily
      extends htsjdk.samtools.util.CollectionUtil.DefaultingMap<String,​Collection<htsjdk.variant.variantcontext.VariantContext>>

  Created by farjoun on 6/25/16.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class htsjdk.samtools.util.CollectionUtil.DefaultingMap

      `htsjdk.samtools.util.CollectionUtil.DefaultingMap.Factory<V extends Object,​K extends Object>`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K extends Object,​V extends Object>, AbstractMap.SimpleImmutableEntry<K extends Object,​V extends Object>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K extends Object,​V extends Object>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MendelianViolationsByFamily()` |

  - ### Method Summary

    - ### Methods inherited from class htsjdk.samtools.util.CollectionUtil.DefaultingMap

      `get`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### MendelianViolationsByFamily

          public MendelianViolationsByFamily()